Page MenuHomePhabricator

Migrate wb_terms to using prefixed entity IDs instead of numeric IDs
Closed, DeclinedPublic

Description

Steps:

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedAddshore
Resolvedthiemowmde
ResolvedAddshore
DeclinedNone
OpenNone
Resolvedhoo
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
InvalidLydia_Pintscher
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
DeclinedNone
ResolvedLydia_Pintscher
ResolvedNone
ResolvedWMDE-leszek
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedLadsgroup
Resolvedaude
ResolvedMarostegui
ResolvedLadsgroup
ResolvedAndrew
ResolvedLadsgroup
Resolvedaude
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup

Event Timeline

daniel created this task.Oct 7 2015, 4:34 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added projects: Wikidata, DBA.
daniel added subscribers: Aklapper, daniel, hoo.

Notes from today's discussion (@hoo, @JanZerebecki, @daniel)

daniel updated the task description. (Show Details)Oct 7 2015, 4:47 PM
daniel set Security to None.
daniel updated the task description. (Show Details)
daniel updated the task description. (Show Details)Jul 24 2017, 11:12 AM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 11:12 AM
daniel updated the task description. (Show Details)Jul 24 2017, 11:24 AM
Ladsgroup updated the task description. (Show Details)Oct 4 2017, 3:00 PM

Change 414667 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable reading full entity id from wb_terms table in three wikis

https://gerrit.wikimedia.org/r/414667

Change 414667 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reading full entity id from wb_terms table in three wikis

https://gerrit.wikimedia.org/r/414667

Mentioned in SAL (#wikimedia-operations) [2018-02-26T15:11:49Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: [[gerrit:414667|Enable reading full entity id from wb_terms table in three wikis (T114903)]] (duration: 00m 56s)

Change 415080 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable reading from full term entity id everywhere

https://gerrit.wikimedia.org/r/415080

After this patch going live and waiting for a week, we should stop writing to that columns and start dropping dead code and eventually dropping it from the table \o/

Change 415080 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reading from full term entity id everywhere

https://gerrit.wikimedia.org/r/415080

Mentioned in SAL (#wikimedia-operations) [2018-02-28T18:30:22Z] <niharika29@tin> Synchronized wmf-config/Wikibase-production.php: Enable reading from full term entity id everywhere T114903 (duration: 00m 57s)

thiemowmde triaged this task as Medium priority.Mar 1 2018, 12:16 PM
thiemowmde added a project: Technical-Debt.
thiemowmde removed a project: Patch-For-Review.
Addshore changed the task status from Open to Stalled.Sep 20 2018, 10:10 PM
Addshore added a subscriber: Addshore.

Stalled as we are trying not to touch the table, instead migrating away from it.

Addshore moved this task from incoming to hold on the Wikidata board.Oct 31 2018, 5:51 PM
Addshore closed this task as Declined.Mar 25 2019, 4:18 PM

the wb_terms table is being removed in T208425.

In preparation for that I am simply going to close this task.